Back to the main site

I cant install Lutris

Hi.
I tried to install Lutris but it doesn’t worked.
Here is my Input:
sudo add-apt-repository ppa:lutris-team/lutris
sudo apt-get update
sudo apt-get install lutris

I typed the last command but I got:
E: Cannot find package lutris.

I’m a Linux noob so any help will be appreciated.

I had the same issue.
My solution (Which admittedly is a little ugly) was to:

  1. Manually download the .deb-package from https://launchpad.net/~lutris-team/+archive/ubuntu/lutris/+files/lutris_0.5.7_amd64.deb.

  2. In a terminal, go to the download folder and manually install it using sudp dpkg -i lutris_0.5.7_amd64.deb

  3. This will install the package but complain that some dependencies aren’t installed. Fix this by running sudo apt install --fix-broken

Voila! Lutris is now installed and ready to be used.

Oh, it’s probably a good idea to follow the instructions on https://github.com/lutris/docs/blob/master/WineDependencies.md to install wine and dependencies.

Thanks I think I already have wine and all dependencies as I was able to get Grim Dawn running with all DLCs through lutris, but Ill double check that.

Already had that package you linked, but I reinstalled it no errors. Will do rest of actions you mentioned, were you able to get DLCs for Frostpunk installed? What extra steps did that take if so? Yeah already had that package and all it’s dependencies. I’ll try rest of what you stated.

Thank you very much for your response.